package com.heyu.api.data.service.impl.draw;

import com.heyu.api.data.entity.vv.VvPromoterTradeOrderAwardEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.enums.AwardStatusEnums;

public class ApplyDrawAction extends RejectDrawAction {

    @Override
    public ActionEnums getAction(VvPromoterTradeOrderAwardEntity vvTradeOrderLineEntity, boolean isApp) {

        if (
                AwardStatusEnums.arrive.getStatus().equals(vvTradeOrderLineEntity.getStatus())
        ) {
            if (isApp) {
                return ActionEnums.App_Buyer_Apply_Draw;
            }
        }

        return null;
    }
}
